monitoring.enabled: true


spring:
  main:
    allow-circular-references: true # FIXME
  jpa:
    database-platform: org.hibernate.dialect.PostgreSQL95Dialect
    hibernate:
      ddl-auto: none
      naming-strategy: org.hibernate.cfg.ImprovedNamingStrategy
      generate-ddl: false
    properties:
      hibernate:
        jdbc:
          batch_size: 1000
          order_inserts: true
          order_updates: true
    open-in-view: true
  data:
    mongodb:
      auto-index-creation: true
      database: redaction
      host: ${MONGODB_HOST:localhost}
      port: 27017
      username: ${MONGODB_USER}
      password: ${MONGODB_PASSWORD}
  rabbitmq:
    host: ${RABBITMQ_HOST:localhost}
    port: ${RABBITMQ_PORT:5672}
    username: ${RABBITMQ_USERNAME:user}
    password: ${RABBITMQ_PASSWORD:bitnami}
    listener:
      simple:
        acknowledge-mode: AUTO
        concurrency: 5
        retry:
          enabled: true
          max-attempts: 3
          max-interval: 5000
  test:
    context:
      cache:
        maxSize: 60

  jackson:
    serialization:
      fail-on-empty-beans: false

redaction-service.url: "http://redaction-service-v1:8080"
configuration-service.url: "http://configuration-service-v1:8080"
pdftron-redaction-service.url: "http://pdftron-redaction-service-v1:8080"
redaction-report-service.url: "http://redaction-report-service-v1:8080"
search-service.url: "http://search-service-v1:8080"
tenant-user-management-service.url: "http://tenant-user-management-service:8080"

storage:
  backend: 's3'

server:
  port: 28080


persistence-service:
  imageServiceEnabled: false


metrics:
  persistence:
    enabled: false

management:
  tracing:
    enabled: false
  endpoint:
    metrics.enabled: true
    health.enabled: true
    prometheus:
      enabled: true
  endpoints.web.exposure.include: prometheus, health, metrics
  prometheus:
    metrics:
      export:
        enabled: true



logging.level.root: info

multitenancy:
  packages:
    repositories: 'com.iqser.red.service.persistence.management.v1.processor.service.persistence.repository'
    entities: 'com.iqser.red.service.persistence.management.v1.processor.entity'
  datasource-cache:
    maximumSize: 100
    expireAfterAccess: 1
  tenant:
    datasource:
      driverClassName: org.postgresql.Driver
      platform: org.hibernate.dialect.PostgreSQL95Dialect
      hikari:
        maximumPoolSize: 5
        minimum-idle: 5
        data-source-properties:
          cachePrepStmts: true
          prepStmtCacheSize: 1000
          prepStmtCacheSqlLimit: 2048
    liquibase:
      changeLog: classpath:db/changelog/db.changelog-tenant.yaml
    mongo:
      liquibase:
        changeLog: classpath:mongo/changelog/mongo.changelog-tenant.xml




feign:
  client:
    config:
      DossierTemplateClient:
        connectTimeout: 10000
        readTimeout: 200000
fforesight:
  jobs:
    enabled: false
  tenant-exchange:
    name: 'tenants-exchange'
  user-exchange:
    name: 'users-exchange'
  keycloak:
    enabled: false

logging.level.liquibase: DEBUG
